Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: "Jan D." <[email-masked]>
Date: Sat, 7 Mar 2015 09:00:13 +0100

Hi.

> 6 mar 2015 kl. 19:54 skrev martin rudalics <[email-masked]>:
> 
> >> Emacs gets what it asked for.  Can't we reset the size hints in between?
> >> That's what I earlier meant by "interception".
> >
> > I don't follow.
> 
> If Emacs receives an xg_frame_resized request that does not fit into the
> existing size hints scheme it could set new, fitting size hints.  This
> way we would signal Gtk that we are OK with the requested values.

You can try that.  But setting new fitting size hints to a size Gtk+ does not know about yet could make Gtk+ request a resize.  But I don't know, you have to try it with at least a couple of window managers.

	Jan D.